group "PartyExposureCategory.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 10 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
region?, country?, counterpartyType?, creditRating?, partyReference?, accountReference?, relatedParty*, cleared?, industryClassification?, category*

Content Model Elements (10):

  accountReference (defined in PartyExposureCategory.model group),
  category (defined in PartyExposureCategory.model group),
  cleared (defined in PartyExposureCategory.model group),
  counterpartyType,
  country (defined in PartyExposureCategory.model group),
  creditRating (defined in PartyExposureCategory.model group),
  industryClassification,
  partyReference (defined in PartyExposureCategory.model group),
  region,
  relatedParty (defined in PartyExposureCategory.model group)

Known Usage Locations

- In definitions of other model groups (1):
  ExposureCategory.model

Annotation
A group a specific set of counterparty risk factors for which an exposure record is provided.
XML Source (w/o annotations (2); see within schema source)

<xsd:group name="PartyExposureCategory.model"> <xsd:sequence> <xsd:element minOccurs="0" name="region" type="Region"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> <xsd:element minOccurs="0" name="counterpartyType" type="ExposurePartyType"/> <xsd:element minOccurs="0" name="creditRating" type="CreditRating"/> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/> <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"/> <xsd:element minOccurs="0" name="industryClassification" type="IndustryClassification"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 10/10)
accountReference

  Type: | AccountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/>

category

  Type: | TradeCategory, simple content

  Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/>

cleared

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="cleared" type="xsd:boolean"/>

counterpartyType

  Type: | ExposurePartyType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="counterpartyType" type="ExposurePartyType"/>

country

  Type: | CountryCode, simple content

  Simple Content

  xsd:token

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

creditRating

  Type: | CreditRating, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="creditRating" type="CreditRating"/>

industryClassification

  Type: | IndustryClassification, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="industryClassification" type="IndustryClassification"/>

partyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/>

region

  Type: | Region, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="region" type="Region"/>

relatedParty

  Type: | RelatedParty, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedParty" type="RelatedParty"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.